weka.gui.beans

## Class BeansProperties

- java.lang.Object
- - weka.gui.beans.BeansProperties

- All Implemented Interfaces:
    java.io.Serializable

      public class BeansProperties
      extends java.lang.Object
      implements java.io.Serializable

  Utility class encapsulating various properties for the KnowledgeFlow and providing methods to register and deregister plugin Bean components
  Version:
    $Revision: 12409 $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeansProperties()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addToPluginBeanProps(java.io.File beanPropsFile)`
    `static MetaStore` | `getMetaStore()` Get the metastore
    `static void` | `loadProperties()` Loads KnowledgeFlow properties and any plugins (adds jars to the classpath)
    `static void` | `removeFromPluginBeanProps(java.io.File beanPropsFile)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeansProperties

          public BeansProperties()

  - ### Method Detail

    - #### getMetaStore

          public static MetaStore getMetaStore()

      Get the metastore
      Returns:
        the metastore

    - #### addToPluginBeanProps

          public static void addToPluginBeanProps(java.io.File beanPropsFile)
                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### removeFromPluginBeanProps

          public static void removeFromPluginBeanProps(java.io.File beanPropsFile)
                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### loadProperties

          public static void loadProperties()

      Loads KnowledgeFlow properties and any plugins (adds jars to the classpath)